petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexGetConeOrientation

Return the orientations on the in-edges for this point in the DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetConeOrientation(DM dm, PetscInt p, const PetscInt *coneOrientation[])

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The point, which must lie in the chart set with DMPlexSetChart()

### Output Parameter

coneOrientation -An array of orientations which are on the in-edges for point p. An orientation is an integer giving the prescription for cone traversal. If it is negative, the cone is traversed in the opposite direction. Its value 'o', or if negative '-(o+1)', gives the index of the cone point on which to start.

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must include petsc.h90 in your code. You must also call DMPlexRestoreConeOrientation() after you finish using the returned array. DMPlexRestoreConeOrientation() is not needed/available in C.

### See Also

DMPlexCreate(), DMPlexGetCone(), DMPlexSetCone(), DMPlexSetChart()

### Level

beginner

### Location

src/dm/impls/plex/plex.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages